/Users/bernard/b20/bsoft/tcltk/btext.tcl(3)

NAME
/Users/bernard/b20/bsoft/tcltk/btext.tcl - Window to show text information.

SYNOPSIS

  Functions
openTextWindow w
Open a text editing window.
showInfo theinfo
Opens a text window with the supplied information.
editTextFile filename
Reads a text file for editing.
openTextFile wtxt
Opens a text file for editing.
readTextFile wtxt filename
Reads a text file.
saveTextFile wtxt filename
Saves a text file using its current name.
saveAsTextFile wtxt
Saves a text file with a new name.
updateText wtxt chan
Updates text originating from an open channel.
executeCommand cmd logfile
Executes a command and sends the output to a channel for updating.
getFilename w
Gets a file name entry.
getDirectoryName w
Gets a directory entry.

Detailed Description

Window to show text information.

Author:
    Bernard Heymann

Date:
    Created: 20010516

    Modified: 20130123

Definition in file btext.tcl.

Function Documentation

  editTextFilefilename

Reads a text file for editing.

Parameters:
    filename file name (including path).

Definition at line 95 of file btext.tcl.

  executeCommandcmd logfile

Executes a command and sends the output to a channel for updating.

Parameters:
    cmd the command (with arguments)
    logfile a text file to write to.

Definition at line 183 of file btext.tcl.

  getDirectoryNamew

Gets a directory entry.

Parameters:
    w an entry window

Definition at line 214 of file btext.tcl.

  getFilenamew

Gets a file name entry.

Parameters:
    w an entry window

Definition at line 202 of file btext.tcl.

  openTextFilewtxt

Opens a text file for editing.

Parameters:
    wtxt text window.

Definition at line 108 of file btext.tcl.

  openTextWindoww

Open a text editing window.

Parameters:
    w window name to contain '.text' window.

Definition at line 16 of file btext.tcl.

  readTextFilewtxt filename

Reads a text file.

Parameters:
    wtxt a text window
    filename file name (including path).

Definition at line 120 of file btext.tcl.

  saveAsTextFilewtxt

Saves a text file with a new name.

Parameters:
    wtxt a text window

Definition at line 154 of file btext.tcl.

  saveTextFilewtxt filename

Saves a text file using its current name.

Parameters:
    wtxt a text window
    filename file name (including path).

Definition at line 139 of file btext.tcl.

  showInfotheinfo

Opens a text window with the supplied information.

Parameters:
    theinfo text information.

Definition at line 80 of file btext.tcl.

  updateTextwtxt chan

Updates text originating from an open channel.

Parameters:
    wtxt a text window
    chan the channel

Definition at line 166 of file btext.tcl.

Author

Generated automatically by Doxygen for Bsoft from the source code.